Bug 907240 - [SetupNetworks] Slaves data sent by the user is being overridden with engine's data
[SetupNetworks] Slaves data sent by the user is being overridden with engine'...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.2.0
Unspecified Unspecified
high Severity high
: ---
: 3.2.0
Assigned To: Moti Asayag
Meni Yakove
network
: Regression, ZStream
Depends On:
Blocks: 907573
  Show dependency treegraph
 
Reported: 2013-02-03 17:59 EST by Moti Asayag
Modified: 2016-02-10 14:50 EST (History)
11 users (show)

See Also:
Fixed In Version: SF7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 907573 (view as bug list)
Environment:
Last Closed: 2013-06-10 17:46:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11671 None None None Never

  None (edit)
Description Moti Asayag 2013-02-03 17:59:26 EST
Description of problem:
Bug 863105 introduces a regression by loading the slaves configuration from the engine and dismissing the configuration provided by the user, notably using the SDK.

For example:

Origin configuration:
eth0 --- ovirtmgmt
eth1 --- net1
eth2 

New configuration:
eth00 --- ovirtmgmt
eth1 --|
       |---bond0 --- net1
eth2 --|

The flat interface list sent to setupNetwork by rest-api contains the 'net1' network attached both to 'et1' and to 'bond0'.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. From setupNetworks dialog attach network 'net1' to eth1
2. Save network configuration (using setupNetworks)
3. Using ovirt-engine-sdk-python send setupNetworks command to configure eth1 bonded with eth2 into bond0 and attach 'net1' to it.
  
Actual results:
The command fails with error of network 'net1' is being attached to more than one interface.

Expected results:
Bond should be created with the network attached to it.

Additional info:
There are variety of errors that can be created due to the failure, i.e.
cannot reuse IP that was defined for a network (if configure using static boot protocol).
Comment 4 Meni Yakove 2013-02-14 07:53:19 EST
Verified on rhevm-3.2.0-8.el6ev.noarch
Comment 7 errata-xmlrpc 2013-06-10 17:46:18 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.